Class | Amalgalite::TraceTap
In: | lib/amalgalite/trace_tap.rb lib/amalgalite/trace_tap.rb
Parent: | Object

A TraceTap receives tracing information from SQLite3. It receives the SQL statement being executed as a `msg` just before the statement first begins executing.

A TraceTap is a wrapper around another object and a method. The Tap object will receive the call to `trace` and redirect that call to another object and method.

### Methods

new new trace trace

### Attributes

delegate_method | [R] |
delegate_method | [R] |
delegate_obj | [R] |
delegate_obj | [R] |

### Public Class methods

new( wrapped_obj, send_to = 'trace' )
new( wrapped_obj, send_to = 'trace' )

### Public Instance methods

trace( msg )
trace( msg )

[Validate]